#!/usr/bin/perl 

#Usamos las librerias de acceso a BD
use DBI;

my $base_datos="ce";   #Nombre de las base de datos
my $tabla_articulos="articulos"; #Nombre de la tabla de articulos
my $tabla_pedidos="pedidos";   #Nombre de la tabla de pedidos
my $tabla_clientes="clientes";   #Nombre de la tabla de clientes

#Campos de la tabla articulos
my $campos_tabla_articulos=" id INT PRIMARY KEY, nombre VARCHAR(200) NOT NULL, precio FLOAT";

#Campos de la tabla de pedidos
my $campos_tabla_pedidos=" num_factura INT PRIMARY KEY,".
			 " id INT,".
			 " nombre VARCHAR(200) NOT NULL,".
		         " email VARCHAR(100) NOT NULL, ".
			 " direccion VARCHAR(200),".
			 " telefono VARCHAR(15)";

#Campos de la tabla de clientes
my $campos_tabla_clientes=" nombre VARCHAR(200) PRIMARY KEY,".
		          " email VARCHAR(100) NOT NULL, ".
			  " direccion VARCHAR(200),".
			  " telefono VARCHAR(15)";

my $usuario="root"; #Usuario de la BD
my $clave="richal"; #Password de la BD
my $driver="mysql"; #Utilizamos el driver de mysql

#Creamos las 3 variables con las sentencias SQL que crean las tablas
my $SQL_crea_tabla_articulos="create table $tabla_articulos ($campos_tabla_articulos);";
my $SQL_crea_tabla_pedidos="create table $tabla_pedidos ($campos_tabla_pedidos);";
my $SQL_crea_tabla_clientes="create table $tabla_clientes ($campos_tabla_clientes);";


#Conectamos con la BD, miramos si hay algun error(HACER)
my $dbh = DBI->connect("dbi:$driver:$base_datos",$usuario,$clave)
		|| die "\nError al abrir la base datos: $DBI::errstr\n";



#Creamos las tres tablas, miramos si hay algun error(HACER)
$dbh->do("$SQL_crea_tabla_articulos") || die "\nError en creacion de tabla $tabla_articulos: $DBI::errstr\n";
$dbh->do("$SQL_crea_tabla_pedidos")   || die "\nError en creacion de tabla $tabla_pedidos: $DBI::errstr\n";
$dbh->do("$SQL_crea_tabla_clientes")   || die "\nError en creacion de tabla $tabla_clientes: $DBI::errstr\n";



#Si todo ha ido bien, lo decimos
print "\n Se han creado las tablas $tabla_clientes, $tabla_articulos y $tabla_pedidos\n";


#Nos desconectamos de la BD. (HACER)
$dbh->disconnect();


#Terminamos
exit;

